                define  TIMEXSCREEN $ff
                define  TIMEXMMU    $f4

                        output  rom_binaries/ts2068.rom

Start                   di
                        ld      hl, CodigoParaRAM
                        ld      de, $5B00
                        ld      bc, LCodigoParaRAM-CodigoParaRAM
                        ldir
                        jp      $5B00

CodigoParaRAM           ld      a, $80          ;selecciona EX-ROM for MMU
                        out     (TIMEXSCREEN),a
                        ld      a, 1
                        out     (TIMEXMMU), a   ;pagina banco 0 de EXROM en area 0000-1FFF
                        ld      hl, $2000
                        ld      de, 0
                        ld      bc, $2000
                        ldir
                        xor     a
                        out     (TIMEXMMU), a   ;despagina banco 0 de EXROM
                        out     (TIMEXSCREEN),a ;resetea registro de modo de pantalla del Timex

                        ld      bc, $7FFD
                        ld      a, %00110000    ;pagina ROM 1 y bloquea cualquier otra operación de paginación
                        out     (c), a
                        rst     $00             ;salta a la ROM 1, que es la principal del Timex
                        
LCodigoParaRAM          block   $2000-$
EXROMCode               incbin "rom_binaries/ts2068-1.rom"  ; ROM extra para Timex (8 KB)
                        incbin "rom_binaries/ts2068-0.rom"  ; ROM principal de Timex (16 KB)
